GuidesAPI Reference
API Reference

Gets changes for the version range.

Gets the latest partition metadata in a version range for a versioned layer or a time range for a volatile layer. For versioned layers the range is expressed as a start and end version and returns only the latest changes for the partitions which were added and removed inbetween the specified start and end versions. If a partition was created and deleted between the versions specified in the startVersion and endVersion parameters, the partition is included in the response with an empty dataHandle value. For example, if you request versions 0 to 10, and a partition was created in version 3 and then deleted in version 7, it is included in the response with an empty dataHandle value.

Path Params
string
required

Unique layer ID. Content of this parameter must refer to a valid layer ID.

Query Params
int64

Available/Required for versioned layers only; the beginning of the range of versions to get (exclusive). By convention -1 indicates the initial version before the first publication. After the first publication, the catalog version is 0.

int64

Available/Required for versioned layers only; the end of the range of versions to get (inclusive). This must be a valid catalog version greater than the startVersion.

int64

Available/Required for volatile layers only; will return partitions whose data has been modified since this time, in milliseconds since epoch, inclusive.

string

Available/Required for versioned layers only; indicates which part of the layer shall be queried.

string
enum
Defaults to default

The context where the operation will be performed on a composite layers. Only available for versioned layers.

Available context are:

ContextDescription
defaultThe default value if none is given. For composite layers the operation is executed for both layers current and the layer it extends. For normal layers this is the only valid context.
extensionThe operation will be executed only in the extension and no operation will be performed in the extended layer.
superThe operation will be executed only in the layer being extended (super layer).
Allowed:
additionalFields
array of objects

Additional fields - dataSize, checksum, compressedDataSize, crc.

additionalFields
string

Billing Tag is an optional free-form tag which is used for grouping billing records together. If supplied, it must be between 4 - 16 characters, contain only alpha/numeric ASCII characters [A-Za-z0-9]. Grouping billing records by billing tag will be available in future releases.

Headers
string

Use this parameter to resume download of a large response for versioned layers when there is a connection issue between the client and server. Specify a single byte range offset like this: Range: bytes=10-. This parameter is compliant with RFC 7233, but note that this parameter only supports a single byte range. The range parameter can also be specified as a query parameter, i.e. range=bytes=10-. For volatile layers use the pagination links returned in the response body.

Responses

400

Required parameters are missing

401

Unauthorized

403

Forbidden

404

Catalog or layer does not exist

416

Range Not Satisfiable, invalid range query parameter or Content-Range header

500

Internal Server Error

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*